Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class FileGatewayListener

    java.lang.Object
      org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
          org.jboss.soa.esb.listeners.gateway.AbstractFileGateway
              org.jboss.soa.esb.listeners.gateway.FileGatewayListener

All Implemented Interfaces:
  java.io.Serializable, Initializable, ManagedLifecycle, ScheduledEventListener

Direct Known Subclasses:
  RemoteGatewayListener

    public class FileGatewayListener

extends AbstractFileGateway

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.soa.esb.listeners.gateway.AbstractFileGateway
`_deleteAfterOK, _errorDirectory, _errorSuffix, _fileFilter, _inputDirectory, _inputSuffix, _logger, _maxMillisForResponse, _postProcessDirectory, _postProcessSuffix, _renameAfterOK, _workingSuffix, config, messageComposer, serviceInvoker, targetService`

Fields inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`PARAM_TERMINATION_PERIOD`

Constructor Summary
`FileGatewayListener(ConfigTree config)`

Method Summary
`protected void` | `checkInputSuffix()` This implementation allows no input suffix, whereas the base class requires an input suffix.
`protected void` | `seeIfOkToWorkOnDir(java.io.File p_oDir)`

Methods inherited from class org.jboss.soa.esb.listeners.gateway.AbstractFileGateway
`doDestroy, doInitialise, doStart, doStop, doThreadedDestroy, getFileInputDirectory, getWorkFileName, initialize, onSchedule, setFileWorking, uninitialize`

Methods inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`addManagedLifecycleEventListener, changeState, destroy, getConfig, getState, getTerminationPeriod, initialise, removeManagedLifecycleEventListener, start, stop, waitUntilDestroyed, waitUntilDestroyed, waitUntilNotState, waitUntilState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileGatewayListener

    public FileGatewayListener(ConfigTree config)
                        throws ConfigurationException,
                               RegistryException,
                               GatewayException

Throws:
  `ConfigurationException`
  `RegistryException`
  `GatewayException`

Method Detail

### seeIfOkToWorkOnDir

    protected void seeIfOkToWorkOnDir(java.io.File p_oDir)
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

### checkInputSuffix

    protected void checkInputSuffix()
                             throws ConfigurationException

  This implementation allows no input suffix, whereas the base class requires an input suffix.

  Overrides:
    `checkInputSuffix` in class `AbstractFileGateway`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD